from 预定系统.Base.app_base import *
from selenium.webdriver.common.by import By
from selenium.webdriver.support.ui import WebDriverWait
from selenium.webdriver.support import expected_conditions as EC
from time import sleep
import logging

# 配置日志记录
logging.basicConfig(level=logging.DEBUG, format='%(asctime)s - %(levelname)s - %(message)s')

def app_txcent_test():
    app_drive = None
    try:
        app_drive = app_setup_driver("Android", "12", "RedmiK30Pro", "com.tencent.wemeet.app", ".StartupActivity")
        app_drive.implicitly_wait(20)  # 设置缺省等待时间

        # 使用显式等待来等待元素出现
        logging.info("等待登录页加载...")
        element = WebDriverWait(app_drive, 60).until(
            EC.element_to_be_clickable((By.ID, "f7"))
        )
        if element.is_displayed() and element.is_enabled():
            element.click()
            logging.info("点击 f7 成功")
        else:
            logging.warning("元素 f7 未显示或不可点击")
        sleep(2)

        element = WebDriverWait(app_drive, 60).until(
            EC.element_to_be_clickable((By.ID, "kr"))
        )
        if element.is_displayed() and element.is_enabled():
            element.click()
            logging.info("点击 kr 成功")
        else:
            logging.warning("元素 kr 未显示或不可点击")
        sleep(2)

        element = WebDriverWait(app_drive, 60).until(
            EC.element_to_be_clickable((By.ID, "kr"))
        )
        if element.is_displayed() and element.is_enabled():
            element.send_keys("562483854")
            logging.info("输入 562483854 成功")
        else:
            logging.warning("元素 kr 未显示或不可点击")
        sleep(5)

        element = WebDriverWait(app_drive, 60).until(
            EC.element_to_be_clickable((By.ID, "y0"))
        )
        if element.is_displayed() and element.is_enabled():
            element.click()
            logging.info("点击 y0 成功")
        else:
            logging.warning("元素 y0 未显示或不可点击")

    except Exception as e:
        logging.error(f"发生错误: {e}", exc_info=True)

    finally:
        if app_drive:
            input('**** 按任意键退出..')
            app_drive.quit()
            logging.info("驱动程序已退出。")

if __name__ == '__main__':
    app_txcent_test()